Bug 889572 - Sporadic function of D-Link DWA-131
Summary: Sporadic function of D-Link DWA-131
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 17
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 18:59 UTC by jc3d.public
Modified: 2013-01-23 01:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 15:25:58 UTC


Attachments (Terms of Use)
pinging the router with time stamps (14.06 KB, text/plain)
2012-12-21 19:58 UTC, jc3d.public
no flags Details
/var/log/messages (106.93 KB, text/plain)
2012-12-21 19:59 UTC, jc3d.public
no flags Details
dmesg (74.84 KB, text/plain)
2012-12-21 20:00 UTC, jc3d.public
no flags Details
iwevent (526 bytes, text/plain)
2012-12-21 20:00 UTC, jc3d.public
no flags Details
ifconfig wlan0 (517 bytes, text/plain)
2012-12-21 20:01 UTC, jc3d.public
no flags Details
rtl8712u firmware md5sum (73 bytes, text/plain)
2012-12-21 20:02 UTC, jc3d.public
no flags Details
boot.log (9.93 KB, application/octet-stream)
2012-12-21 20:02 UTC, jc3d.public
no flags Details
wpa_supplicant.log (353 bytes, application/octet-stream)
2012-12-21 20:03 UTC, jc3d.public
no flags Details
Approved version of firmware for r8712u (119.46 KB, application/octet-stream)
2012-12-21 20:35 UTC, Larry Finger
no flags Details

Description jc3d.public 2012-12-21 18:59:09 UTC
Description of problem:

After inserting USB wifi hardware, it is detected and connects (using NetworkManager) to my wireless network. Pinging my local router addresses (192.168.1.254) works for several minutes, then fails for several minutes, then works for several minutes, etc. This occurs even when sitting next to the router. It seems like it cannot be a hardware problem, because the same computer and wifi hardware work under a previous version of Fedora using the Realtek driver from the website (seems they don't supply one for kernel 3.6.x)

Version-Release number of selected component (if applicable):

kernel-3.6.10-2.fc17.x86_64
r8712u kernel module

How reproducible:

Every time (time gaps between functioning and non-functioning vary)

Steps to Reproduce:
1. Boot FC17, kernel 3.6.10 (or 3.6.9)
2. Insert DWA-131 USB
3. Wait for hardware detection, initialization, and auto-connection to network
4. Ping router
  
Actual results:

Ping is successful for a while, then fails, then successful again, etc.

Expected results:

Ping should continue to function.

Additional info:

I have been successfully running the same hardware setup under:
Fedora 14
kernel-2.6.35.14-106.fc14.x86_64. 
This kernel was not supplied with the kernel module, which I downloaded from Realtek:
rtl8712_8188_8191_8192SU_usb_linux_v2.6.6.0.20101111

As far as I can tell, under the current Fedora 17 setup with r8712u kernel module, there are no useful error messages in the logs correlated with the changes between functioning and non-functioning state.

I plan to collect and attach some fresh logs in a few minutes...

Comment 1 jc3d.public 2012-12-21 19:58:48 UTC
Created attachment 667387 [details]
pinging the router with time stamps

Plugged in USB wifi around 11:09 and unplugged around 11:17 for the attached log files

Comment 2 jc3d.public 2012-12-21 19:59:40 UTC
Created attachment 667388 [details]
/var/log/messages

Comment 3 jc3d.public 2012-12-21 20:00:10 UTC
Created attachment 667389 [details]
dmesg

Comment 4 jc3d.public 2012-12-21 20:00:44 UTC
Created attachment 667390 [details]
iwevent

Comment 5 jc3d.public 2012-12-21 20:01:39 UTC
Created attachment 667391 [details]
ifconfig wlan0

Comment 6 jc3d.public 2012-12-21 20:02:21 UTC
Created attachment 667392 [details]
rtl8712u firmware md5sum

Comment 7 jc3d.public 2012-12-21 20:02:59 UTC
Created attachment 667393 [details]
boot.log

Comment 8 jc3d.public 2012-12-21 20:03:33 UTC
Created attachment 667394 [details]
wpa_supplicant.log

Comment 9 Larry Finger 2012-12-21 20:33:51 UTC
One thing that I see in your posted material is that you are using firmware that was once the distributed version, but caused problems with some devices and/or situations. For that reason, the version now distributed with the linux-firmware repo is a slightly older version. The md5sum for it is 200fd952db3cc9259b1fd05e3e51966f.

I will add that firmware as an attachment in my next posting.

Comment 10 Larry Finger 2012-12-21 20:35:29 UTC
Created attachment 667411 [details]
Approved version of firmware for r8712u

Comment 11 jc3d.public 2012-12-21 20:39:38 UTC
After doing more web searching for how previous people resolved their problems with this driver, I swapped out the newer firmware for the older firmware:

c6f3b7b880aefb7b3f249428d659bdbb  rtl8712u.bin.new
200fd952db3cc9259b1fd05e3e51966f  rtl8712u.bin.old

The older firmware is working much better for me. Every so often, it does still lose connectivity for perhaps 10 seconds. I believe this may have been happening under Fedora 14 as well.

So I am in a much better state now. I'm not sure how the problem should be resolved if individual hardware prefers one firmware or the other. Perhaps the manufacturer will provide some fix?

Comment 12 jc3d.public 2012-12-21 20:42:27 UTC
Thanks, Larry. I see the firmware you attached is the same as the one I have just been trying. It is indeed much more stable.

Will this firmware be replacing the one in the distribution, or does the other one work for more people?

Comment 13 Larry Finger 2012-12-21 20:59:32 UTC
The one I attached is the one now being distributed by linux-firmware. That package needs to be updated by Fedora to match the repo.

Comment 14 Josh Boyer 2012-12-22 00:40:26 UTC
(In reply to comment #13)
> The one I attached is the one now being distributed by linux-firmware. That
> package needs to be updated by Fedora to match the repo.

We've updated already in F18 and rawhide.  I'll look at updating F17 in the next few days.  We'll move this bug over to the linux-firmware component.

Comment 15 Fedora Update System 2012-12-23 13:52:42 UTC
linux-firmware-20121218-0.1.gitbda53ca.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/linux-firmware-20121218-0.1.gitbda53ca.fc17

Comment 16 Fedora Update System 2012-12-26 04:48:08 UTC
Package linux-firmware-20121218-0.1.gitbda53ca.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing linux-firmware-20121218-0.1.gitbda53ca.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20960/linux-firmware-20121218-0.1.gitbda53ca.fc17
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-01-09 15:18:36 UTC
linux-firmware-20121218-0.1.gitbda53ca.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/linux-firmware-20121218-0.1.gitbda53ca.fc18

Comment 18 Fedora Update System 2013-01-12 15:26:00 UTC
linux-firmware-20121218-0.1.gitbda53ca.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-01-23 01:45:02 UTC
linux-firmware-20121218-0.1.gitbda53ca.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.